﻿@{
    ViewBag.Title = "Doctor";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Doctor's Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">
                    
                    <div class="form-group">
                        <label for="inputDoctName" class="col-sm-2 control-label">Name</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputDoctName" placeholder="Enter ...">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputDocAddress" class="col-sm-2 control-label">Address</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputDocAddress" placeholder="Enter ...">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputEdu" class="col-sm-2 control-label">Qualifications</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputEdu" placeholder="Enter ...">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputSpecialization" class="col-sm-2 control-label">Speclialization</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputSpecialization" placeholder="Enter ...">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="inputPhoneNo" class="col-sm-2 control-label">Phone No</label>

                        <div class="col-sm-10">
                            <input type="tel" class="form-control" id="inputPhoneNo" placeholder="Enter ...">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputDeptNo" class="col-sm-2 control-label">Select Dept No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputDeptNo">
                               

                            </select>
                        </div>
                    </div>

                    <!-- select Hospital ID -->
                    <div class="form-group">
                        <label for="InputHodpitalID" class="col-sm-2 control-label">Select Hospital ID</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputHodpitalID">
                               

                            </select>
                        </div>
                    </div>

                     <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddDoctorData();">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>

<script>
    function AddDoctorData() {
       
        var DocName = $('#inputDoctName').val();
        var DocAddress = $('#inputDocAddress').val();
        var DocEdu = $('#inputEdu').val();
        var DocSpecialization = $('#inputSpecialization').val();
        var DocPhoneNo = $('#inputPhoneNo').val();
        debugger;
        var DocDeptNo = $('#InputDeptNo :selected').val();
        var DocHodpitalID = $('#InputHodpitalID :selected').val();

        $.ajax({
            url: '@Url.Action("AddDoctor", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ DocName: DocName, DocAddress: DocAddress, DocEdu: DocEdu, DocSpecialization: DocSpecialization, DocPhoneNo: DocPhoneNo, DocDeptNo: DocDeptNo, DocHodpitalID: DocHodpitalID }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>

<!--get the department and hospital data -->
<script>
$(document).ready(function(){
$.ajax({
            url: '@Url.Action("GetHopitalDept", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var listdept = data.Department;
                    var listHosp = data.Hospita;

                    for (i = 0; i < listHosp.length; i++) {
                        $('#InputHodpitalID').append('<option value=' + listHosp[i].cstno + ' name=' + listHosp[i].name + ' >' + listHosp[i].name + '</option>');
                    }

                    for (i = 0; i < listdept.length; i++) {
                        $('#InputDeptNo').append('<option value=' + listdept[i].deptno + ' name=' + listdept[i].deptname + ' >' + listdept[i].deptname + '</option>');
                    }

            }
            },
            error: function (xhr) {
            alert(xhr.responseText);
            }
            });
});
</script>